---
wsId: jeton
title: Jeton Wallet
altTitle: 
authors:
- danny
users: 100000
appId: com.jeton.wallet
appCountry: us
released: 2018-12-27
updated: 2022-05-27
version: 3.4.0
stars: 2.5
ratings: 3260
reviews: 9
size: 
website: https://jeton.com/
repository: 
issue: 
icon: com.jeton.wallet.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-09-03
signer: 
reviewArchive: 
twitter: jetonwallet
social: 
redirect_from: 

---

> Jeton Wallet gives you your own, personal digital e-wallet providing you secure and fast money transfers, money exchange and payment processing.

Ok, so it's an e-wallet. It also advertises itself as an exchange.

> You can exchange and deposit a range of cryptocurrency but currently, you can only withdraw Bitcoins.

[apparently you can only withdraw BTC](https://blog.jeton.com/how-to-withdraw-cryptocurrency-from-your-jeton-account)

> When you request to withdraw money from your Jeton Wallet account, we will ask you to verify your details for security purposes.

[KYC verification is in use here](https://jetonhelp.zendesk.com/hc/en-gb/articles/360000313769-Account-Verification-KYC-)

We assume that this exchange is **custodial** and thus **not verifiable.**